[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#550584: flash-kernel not run when going to new upstream kernel version

* maximilian attems <max@stro.at> [Son Okt 11, 2009 at 01:32:41 +0200]:
> On Sun, Oct 11, 2009 at 12:13:13PM +0100, Martin Michlmayr wrote:

> > When you install a new kernel version (e.g. 2.6.29 -> 2.6.30, or
> > 2.6.30-1 to 2.6.31-2) the new version is not written to flash.  This
> > is because initramfs-tools will only call flash-kernel when updating a
> > ramdisk (-u), but not when creating one (-c).


> we had lately a discussion with elilo for ia64 on #d-kernel.
> conclusion was linux-image postinst has to run it.

> see commit of elilo bit.
> for flash-kernel postinst will need a bit more work,
> but should be done there.

maks, should we reassign this issue to another package?
If not what needs to be done nowadays?


Attachment: signature.asc
Description: Digital signature

Reply to: